diff --git a/sys/net/i4b/driver/i4b_ipr.c b/sys/net/i4b/driver/i4b_ipr.c
index 2333f6f..a307c2f 100644
--- a/sys/net/i4b/driver/i4b_ipr.c
+++ b/sys/net/i4b/driver/i4b_ipr.c
@@ -55,7 +55,7 @@
  *	sc->sc_inb		# of incoming bytes after decompression
  *	sc->sc_outb		# of outgoing bytes before compression
  *
- *---------------------------------------------------------------------------*/ 
+ *---------------------------------------------------------------------------*/
 
 #include "use_i4bipr.h"
 
@@ -88,7 +88,7 @@
 #include <netinet/ip.h>
 
 #ifdef IPR_VJ
-#include <net/slcompress.h>       
+#include <net/slcompress.h>
 #define IPR_COMPRESS IFF_LINK0  /* compress TCP traffic */
 #define IPR_AUTOCOMP IFF_LINK1  /* auto-enable TCP compression */
 
@@ -100,7 +100,7 @@
  * CAUTION: i have re-defined IPR_VJ_USEBUFFER because it makes problems
  *          with 2 i4b's back to back running cvs over ssh, cvs simply
  *          aborts because it gets bad data. Everything else (telnet/ftp?etc)
- *          functions fine. 
+ *          functions fine.
  *---------------------------------------------------------------------------*/
 #define IPR_VJ_USEBUFFER	/* define to use an allocated separate buffer*/
 				/* undef to uncompress in the mbuf itself    */
@@ -149,7 +149,7 @@ struct ipr_softc {
 	struct ifqueue  sc_fastq;	/* interactive traffic		*/
 	int		sc_dialresp;	/* dialresponse			*/
 	int		sc_lastdialresp;/* last dialresponse		*/
-	
+
 #if I4BIPRACCT
 	int		sc_iinb;	/* isdn driver # of inbytes	*/
 	int		sc_ioutb;	/* isdn driver # of outbytes	*/
@@ -158,7 +158,7 @@ struct ipr_softc {
 	int		sc_linb;	/* last # of bytes rx'd		*/
 	int		sc_loutb;	/* last # of bytes tx'd 	*/
 	int		sc_fn;		/* flag, first null acct	*/
-#endif	
+#endif
 
 	struct callout	sc_timeout;
 
@@ -217,7 +217,7 @@ i4biprattach(void *dummy)
 #else
 	kprintf("i4bipr: %d IP over raw HDLC ISDN device(s) attached\n", NI4BIPR);
 #endif
-	
+
 	for(i=0; i < NI4BIPR; sc++, i++)
 	{
 		ipr_init_linktab(i);
@@ -225,7 +225,7 @@ i4biprattach(void *dummy)
 		NDBGL4(L4_DIALST, "setting dial state to ST_IDLE");
 
 		sc->sc_state = ST_IDLE;
-		
+
 		if_initname(&(sc->sc_if), "ipr", i);
 
 #ifdef	IPR_VJ
@@ -257,8 +257,8 @@ i4biprattach(void *dummy)
 		sc->sc_if.if_noproto = 0;
 
 #if I4BIPRACCT
-		sc->sc_if.if_timer = 0;	
-		sc->sc_if.if_watchdog = iprwatchdog;	
+		sc->sc_if.if_timer = 0;
+		sc->sc_if.if_watchdog = iprwatchdog;
 		sc->sc_iinb = 0;
 		sc->sc_ioutb = 0;
 		sc->sc_inb = 0;
@@ -282,7 +282,7 @@ i4biprattach(void *dummy)
 		sc->sc_updown = SOFT_ENA;	/* soft enabled */
 		sc->sc_dialresp = DSTAT_NONE;	/* no response */
 		sc->sc_lastdialresp = DSTAT_NONE;
-		
+
 		if_attach(&sc->sc_if, NULL);
 		bpfattach(&sc->sc_if, DLT_NULL, sizeof(u_int));
 	}
@@ -298,14 +298,14 @@ i4biproutput_serialized(struct ifnet *ifp, struct mbuf *m, struct sockaddr *dst,
 	struct ipr_softc *sc;
 	int unit;
 	struct ip *ip;
-	
+
 	crit_enter();
 
 	sc = ifp->if_softc;
 	unit = sc->sc_unit;
 
 	/* check for IP */
-	
+
 	if(dst->sa_family != AF_INET)
 	{
 		kprintf(IPR_FMT "af%d not supported\n", IPR_ARG(sc), dst->sa_family);
@@ -317,7 +317,7 @@ i4biproutput_serialized(struct ifnet *ifp, struct mbuf *m, struct sockaddr *dst,
 	}
 
 	/* check interface state = UP */
-	
+
 	if(!(ifp->if_flags & IFF_UP))
 	{
 		NDBGL4(L4_IPRDBG, "ipr%d: interface is DOWN!", unit);
@@ -328,7 +328,7 @@ i4biproutput_serialized(struct ifnet *ifp, struct mbuf *m, struct sockaddr *dst,
 	}
 
 	/* dial if necessary */
-	
+
 	if(sc->sc_state == ST_IDLE || sc->sc_state == ST_DIALING)
 	{
 
@@ -352,7 +352,7 @@ i4biproutput_serialized(struct ifnet *ifp, struct mbuf *m, struct sockaddr *dst,
 				sc->sc_dialresp = DSTAT_NONE;
 				crit_exit();
 				sc->sc_if.if_oerrors++;
-				return(EHOSTUNREACH);				
+				return(EHOSTUNREACH);
 				break;
 
 			case DSTAT_INONLY:	/* no dialout allowed*/
@@ -362,7 +362,7 @@ i4biproutput_serialized(struct ifnet *ifp, struct mbuf *m, struct sockaddr *dst,
 				sc->sc_dialresp = DSTAT_NONE;
 				crit_exit();
 				sc->sc_if.if_oerrors++;
-				return(EHOSTUNREACH);				
+				return(EHOSTUNREACH);
 				break;
 		}
 #endif
@@ -382,7 +382,7 @@ i4biproutput_serialized(struct ifnet *ifp, struct mbuf *m, struct sockaddr *dst,
 #endif
 
 	/* update access time */
-	
+
 	microtime(&sc->sc_if.if_lastchange);
 
 	/*
@@ -392,9 +392,9 @@ i4biproutput_serialized(struct ifnet *ifp, struct mbuf *m, struct sockaddr *dst,
 	 */
 
 	ip = mtod(m, struct ip *);		/* get ptr to ip header */
-	 
+
 	/* check for space in choosen send queue */
-	
+
 	if (netisr_queue(NETISR_IP, m))
 	{
 		NDBGL4(L4_IPRDBG, "ipr%d: send queue full!", unit);
@@ -402,9 +402,9 @@ i4biproutput_serialized(struct ifnet *ifp, struct mbuf *m, struct sockaddr *dst,
 		sc->sc_if.if_oerrors++;
 		return(ENOBUFS);
 	}
-	
+
 	NDBGL4(L4_IPRDBG, "ipr%d: add packet to send queue!", unit);
-	
+
 	ipr_tx_queue_empty(unit);
 
 	crit_exit();
@@ -438,7 +438,7 @@ i4biprioctl(struct ifnet *ifp, IOCTL_CMD_T cmd, caddr_t data, struct ucred *cr)
 	int error = 0;
 
 	crit_enter();
-	
+
 	switch (cmd)
 	{
 		case SIOCAIFADDR:	/* add interface address */
@@ -472,7 +472,7 @@ i4biprioctl(struct ifnet *ifp, IOCTL_CMD_T cmd, caddr_t data, struct ucred *cr)
 			{
 				/* enable debug messages */
 			}
-			
+
 			microtime(&sc->sc_if.if_lastchange);
 			break;
 
@@ -490,7 +490,7 @@ i4biprioctl(struct ifnet *ifp, IOCTL_CMD_T cmd, caddr_t data, struct ucred *cr)
 
 #if 0
 	/* not needed for FreeBSD, done in sl_compress_init() (-hm) */
-	
+
 			/* need to add an ioctl:	set VJ max slot ID
 			 * #define IPRIOCSMAXCID	_IOW('I', XXX, int)
 			 */
@@ -546,7 +546,7 @@ iprclearqueues(struct ipr_softc *sc)
 			break;
 	}
 }
-        
+
 #if I4BIPRACCT
 /*---------------------------------------------------------------------------*
  *	watchdog routine
@@ -557,16 +557,16 @@ iprwatchdog(struct ifnet *ifp)
 	struct ipr_softc *sc = ifp->if_softc;
 	int unit = sc->sc_unit;
 	bchan_statistics_t bs;
-	
-	/* get # of bytes in and out from the HSCX driver */ 
-	
+
+	/* get # of bytes in and out from the HSCX driver */
+
 	(*isdn_linktab[unit]->bch_stat)
 		(isdn_linktab[unit]->unit, isdn_linktab[unit]->channel, &bs);
 
 	sc->sc_ioutb += bs.outbytes;
 	sc->sc_iinb += bs.inbytes;
-	
-	if((sc->sc_iinb != sc->sc_linb) || (sc->sc_ioutb != sc->sc_loutb) || sc->sc_fn) 
+
+	if((sc->sc_iinb != sc->sc_linb) || (sc->sc_ioutb != sc->sc_loutb) || sc->sc_fn)
 	{
 		int ri = (sc->sc_iinb - sc->sc_linb)/I4BIPRACCTINTVL;
 		int ro = (sc->sc_ioutb - sc->sc_loutb)/I4BIPRACCTINTVL;
@@ -575,14 +575,14 @@ iprwatchdog(struct ifnet *ifp)
 			sc->sc_fn = 0;
 		else
 			sc->sc_fn = 1;
-			
+
 		sc->sc_linb = sc->sc_iinb;
 		sc->sc_loutb = sc->sc_ioutb;
 
 		i4b_l4_accounting(BDRV_IPR, unit, ACCT_DURING,
 			 sc->sc_ioutb, sc->sc_iinb, ro, ri, sc->sc_outb, sc->sc_inb);
  	}
-	sc->sc_if.if_timer = I4BIPRACCTINTVL; 	
+	sc->sc_if.if_timer = I4BIPRACCTINTVL;
 }
 #endif /* I4BIPRACCT */
 
@@ -597,7 +597,7 @@ static void
 i4bipr_connect_startio(struct ipr_softc *sc)
 {
 	crit_enter();
-	
+
 	if(sc->sc_state == ST_CONNECTED_W)
 	{
 		sc->sc_state = ST_CONNECTED_A;
@@ -606,7 +606,7 @@ i4bipr_connect_startio(struct ipr_softc *sc)
 
 	crit_exit();
 }
- 
+
 /*---------------------------------------------------------------------------*
  *	this routine is called from L4 handler at connect time
  *---------------------------------------------------------------------------*/
@@ -625,8 +625,8 @@ ipr_connect(int unit, void *cdp)
 	sc->sc_state = ST_CONNECTED_W;
 
 	sc->sc_dialresp = DSTAT_NONE;
-	sc->sc_lastdialresp = DSTAT_NONE;	
-	
+	sc->sc_lastdialresp = DSTAT_NONE;
+
 #if I4BIPRACCT
 	sc->sc_iinb = 0;
 	sc->sc_ioutb = 0;
@@ -677,7 +677,7 @@ ipr_connect(int unit, void *cdp)
 	/* we don't need any negotiation - pass event back right now */
 	i4b_l4_negcomplete(sc->sc_cdp);
 }
-	
+
 /*---------------------------------------------------------------------------*
  *	this routine is called from L4 handler at disconnect time
  *---------------------------------------------------------------------------*/
@@ -706,13 +706,13 @@ ipr_disconnect(int unit, void *cdp)
 
 	i4b_l4_accounting(BDRV_IPR, cd->driver_unit, ACCT_FINAL,
 		 sc->sc_ioutb, sc->sc_iinb, 0, 0, sc->sc_outb, sc->sc_inb);
-	
-	sc->sc_cdp = (call_desc_t *)0;	
+
+	sc->sc_cdp = NULL;
 
 	NDBGL4(L4_DIALST, "setting dial state to ST_IDLE");
 
 	sc->sc_dialresp = DSTAT_NONE;
-	sc->sc_lastdialresp = DSTAT_NONE;	
+	sc->sc_lastdialresp = DSTAT_NONE;
 
 	sc->sc_if.if_flags &= ~IFF_RUNNING;
 	sc->sc_state = ST_IDLE;
@@ -737,7 +737,7 @@ ipr_dialresponse(int unit, int status, cause_t cause)
 		iprclearqueues(sc);
 	}
 }
-	
+
 /*---------------------------------------------------------------------------*
  *	interface soft up/down
  *---------------------------------------------------------------------------*/
@@ -747,7 +747,7 @@ ipr_updown(int unit, int updown)
 	struct ipr_softc *sc = &ipr_softc[unit];
 	sc->sc_updown = updown;
 }
-	
+
 /*---------------------------------------------------------------------------*
  *	this routine is called from the HSCX interrupt handler
  *	when a new frame (mbuf) has been received and was put on
@@ -762,11 +762,11 @@ ipr_rx_data_rdy(int unit)
 #ifdef IPR_VJ
 #ifdef IPR_VJ_USEBUFFER
 	u_char *cp = sc->sc_cbuf;
-#endif	
+#endif
 	int len, c;
 #endif
 	static const uint32_t af = AF_INET;
-	
+
 	if((m = *isdn_linktab[unit]->rx_mbuf) == NULL)
 		return;
 
@@ -789,7 +789,7 @@ ipr_rx_data_rdy(int unit)
 	{
 		unsigned char *mp = m->m_data;
 		int i;
-		
+
 		sc->sc_first_pkt = 0;
 
 		for(i = 0; i < m->m_len; i++, mp++)
@@ -798,13 +798,13 @@ ipr_rx_data_rdy(int unit)
 			    ((*mp & 0x0f) >= 0x05) )
 			{
 				m->m_data = mp;
-				m->m_pkthdr.len -= i;				
+				m->m_pkthdr.len -= i;
 				break;
 			}
 		}
 	}
 #endif
-		
+
 	sc->sc_if.if_ipackets++;
 	sc->sc_if.if_ibytes += m->m_pkthdr.len;
 
@@ -818,7 +818,7 @@ ipr_rx_data_rdy(int unit)
 #ifdef IPR_VJ_USEBUFFER
 /* XXX */	m_copydata(m, 0, len, cp);
 #endif
-		
+
 		if(c & 0x80)
 		{
 			c = TYPE_COMPRESSED_TCP;
@@ -828,8 +828,8 @@ ipr_rx_data_rdy(int unit)
 #ifdef IPR_VJ_USEBUFFER
 			*cp &= 0x4f;		/* XXX */
 #else
-			*(mtod(m, u_char *)) &= 0x4f; 			
-#endif			
+			*(mtod(m, u_char *)) &= 0x4f;
+#endif
 		}
 
 		/*
@@ -846,7 +846,7 @@ ipr_rx_data_rdy(int unit)
 #else
 			len = sl_uncompress_tcp((u_char **)&m->m_data, len,
 					(u_int)c, &sc->sc_compr);
-#endif			
+#endif
 
 			if(len <= 0)
 			{
@@ -914,7 +914,7 @@ error:
 	if (netisr_queue(NETISR_IP, m)) {
 		NDBGL4(L4_IPRDBG, "ipr%d: ipintrq full!", unit);
 		sc->sc_if.if_ierrors++;
-		sc->sc_if.if_iqdrops++;		
+		sc->sc_if.if_iqdrops++;
 	}
 }
 
@@ -929,14 +929,14 @@ ipr_tx_queue_empty(int unit)
 	static const uint32_t af = AF_INET;
 	struct ipr_softc *sc = &ipr_softc[unit];
 	struct mbuf *m;
-#ifdef	IPR_VJ	
-	struct ip *ip;	
+#ifdef	IPR_VJ
+	struct ip *ip;
 #endif
 	int x = 0;
 
 	if(sc->sc_state != ST_CONNECTED_A)
 		return;
-		
+
 	for(;;)
 	{
                 IF_DEQUEUE(&sc->sc_fastq, m);
@@ -955,12 +955,12 @@ ipr_tx_queue_empty(int unit)
 
 		if (sc->sc_if.if_bpf)
 			bpf_ptap(sc->sc_if.if_bpf, m, &af, sizeof(af));
-	
+
 #if I4BIPRACCT
 		sc->sc_outb += m->m_pkthdr.len;	/* size before compression */
 #endif
 
-#ifdef	IPR_VJ	
+#ifdef	IPR_VJ
 		if((ip = mtod(m, struct ip *))->ip_p == IPPROTO_TCP)
 		{
 			if(sc->sc_if.if_flags & IPR_COMPRESS)
@@ -1034,7 +1034,7 @@ ipr_init_linktab(int unit)
 	ipr_drvr_linktab[unit].line_connected = ipr_connect;
 	ipr_drvr_linktab[unit].line_disconnected = ipr_disconnect;
 	ipr_drvr_linktab[unit].dial_response = ipr_dialresponse;
-	ipr_drvr_linktab[unit].updown_ind = ipr_updown;	
+	ipr_drvr_linktab[unit].updown_ind = ipr_updown;
 }
 
 /*===========================================================================*/
diff --git a/sys/net/i4b/driver/i4b_isppp.c b/sys/net/i4b/driver/i4b_isppp.c
index a1a044b..43a3af4 100644
--- a/sys/net/i4b/driver/i4b_isppp.c
+++ b/sys/net/i4b/driver/i4b_isppp.c
@@ -12,7 +12,7 @@
  *   2. Redistributions in binary form must reproduce the above copyright
  *      notice, this list of conditions and the following disclaimer in the
  *      documentation and/or other materials provided with the distribution.
- *   
+ *
  *   THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
  *   ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
  *   IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
@@ -66,7 +66,7 @@
 #include <net/sppp/if_sppp.h>
 
 
-#include "use_bpf.h"     
+#include "use_bpf.h"
 #include <sys/time.h>
 #include <net/bpf.h>
 
@@ -82,7 +82,7 @@
 #define	ISPPP_FMT	"%s: "
 #define	ISPPP_ARG(sc)	((sc)->sc_if.if_xname)
 #define IFP2UNIT(ifp)	((struct i4bisppp_softc *)ifp->if_softc)->sc_unit
-		
+
 #  define IOCTL_CMD_T u_long
 
 PDEVSTATIC void i4bispppattach(void *);
@@ -90,7 +90,7 @@ PSEUDO_SET(i4bispppattach, i4b_isppp);
 
 #define I4BISPPPACCT		1	/* enable accounting messages */
 #define	I4BISPPPACCTINTVL	2	/* accounting msg interval in secs */
-#define I4BISPPPDISCDEBUG	1	
+#define I4BISPPPDISCDEBUG	1
 
 #define PPP_HDRLEN   		4	/* 4 octetts PPP header length	*/
 
@@ -181,7 +181,7 @@ i4bispppattach(void *dummy)
 
 	for(i = 0; i < NI4BISPPP; sc++, i++) {
 		i4bisppp_init_linktab(i);
-		
+
 		sc->sc_if.if_softc = sc;
 
 		if_initname(&(sc->sc_if), "isp", i);
@@ -216,8 +216,8 @@ i4bispppattach(void *dummy)
 		sc->sc_if.if_noproto = 0;
 
 #if I4BISPPPACCT
-		sc->sc_if.if_timer = 0;	
-		sc->sc_if.if_watchdog = i4bisppp_watchdog;	
+		sc->sc_if.if_timer = 0;
+		sc->sc_if.if_watchdog = i4bisppp_watchdog;
 		sc->sc_iinb = 0;
 		sc->sc_ioutb = 0;
 		sc->sc_inb = 0;
@@ -333,13 +333,13 @@ i4bisppp_watchdog(struct ifnet *ifp)
 	struct i4bisppp_softc *sc = ifp->if_softc;
 	int unit = IFP2UNIT(ifp);
 	bchan_statistics_t bs;
-	
+
 	(*isdn_linktab[unit]->bch_stat)
 		(isdn_linktab[unit]->unit, isdn_linktab[unit]->channel, &bs);
 
 	sc->sc_ioutb += bs.outbytes;
 	sc->sc_iinb += bs.inbytes;
-	
+
 	if((sc->sc_iinb != sc->sc_linb) || (sc->sc_ioutb != sc->sc_loutb) || sc->sc_fn)
 	{
 		int ri = (sc->sc_iinb - sc->sc_linb)/I4BISPPPACCTINTVL;
@@ -349,14 +349,14 @@ i4bisppp_watchdog(struct ifnet *ifp)
 			sc->sc_fn = 0;
 		else
 			sc->sc_fn = 1;
-			
+
 		sc->sc_linb = sc->sc_iinb;
 		sc->sc_loutb = sc->sc_ioutb;
 
 		i4b_l4_accounting(BDRV_ISPPP, unit, ACCT_DURING,
 			 sc->sc_ioutb, sc->sc_iinb, ro, ri, sc->sc_outb, sc->sc_inb);
  	}
-	sc->sc_if.if_timer = I4BISPPPACCTINTVL; 	
+	sc->sc_if.if_timer = I4BISPPPACCTINTVL;
 
 #if 0 /* old stuff, keep it around */
 	kprintf(ISPPP_FMT "transmit timeout\n", ISPPP_ARG(sc));
@@ -407,8 +407,8 @@ i4bisppp_tlf(struct sppp *sp)
 {
 	struct i4bisppp_softc *sc = (struct i4bisppp_softc *)sp;
 /*	call_desc_t *cd = sc->sc_cdp;	*/
-        struct ifnet *ifp = (struct ifnet *)sp;	
-	
+        struct ifnet *ifp = (struct ifnet *)sp;
+
 	if(sc->sc_state != ST_CONNECTED)
 		return;
 
@@ -426,7 +426,7 @@ static void
 i4bisppp_state_changed(struct sppp *sp, int new_state)
 {
 	struct i4bisppp_softc *sc = (struct i4bisppp_softc *)sp;
-	
+
 	i4b_l4_ifstate_changed(sc->sc_cdp, new_state);
 }
 
@@ -438,7 +438,7 @@ static void
 i4bisppp_negotiation_complete(struct sppp *sp)
 {
 	struct i4bisppp_softc *sc = (struct i4bisppp_softc *)sp;
-	
+
 	i4b_l4_negcomplete(sc->sc_cdp);
 }
 
@@ -469,7 +469,7 @@ i4bisppp_connect(int unit, void *cdp)
 	sc->sc_loutb = 0;
 	sc->sc_if.if_timer = I4BISPPPACCTINTVL;
 #endif
-	
+
 #if 0 /* never used ??? */
 	callout_stop(&sc->sc_timeout);
 #endif
@@ -506,13 +506,13 @@ i4bisppp_disconnect(int unit, void *cdp)
 
 	i4b_l4_accounting(BDRV_ISPPP, unit, ACCT_FINAL,
 		 sc->sc_ioutb, sc->sc_iinb, 0, 0, sc->sc_outb, sc->sc_inb);
-	
+
 	if (sc->sc_state == ST_CONNECTED)
 	{
 #if 0 /* never used ??? */
 		callout_stop(&sc->sc_timeout);
 #endif
-		sc->sc_cdp = (call_desc_t *)0;	
+		sc->sc_cdp = NULL;
 		/* do this here because pp_down calls i4bisppp_tlf */
 		sc->sc_state = ST_IDLE;
 		sp->pp_down(sp);	/* tell PPP we have hung up */
@@ -536,7 +536,7 @@ i4bisppp_dialresponse(int unit, int status, cause_t cause)
 	if(status != DSTAT_NONE)
 	{
 		struct mbuf *m;
-		
+
 		NDBGL4(L4_ISPDBG, "isp%d: clearing queues", unit);
 
 		if(!(sppp_isempty(&sc->sc_if)))
@@ -545,7 +545,7 @@ i4bisppp_dialresponse(int unit, int status, cause_t cause)
 				m_freem(m);
 		}
 
-		sc->sc_cdp = (call_desc_t *)0;
+		sc->sc_cdp = NULL;
 		/* do this here because pp_down calls i4bisppp_tlf */
 		sc->sc_state = ST_IDLE;
                 /*
@@ -558,7 +558,7 @@ i4bisppp_dialresponse(int unit, int status, cause_t cause)
 		sp->pp_down(sp);
 	}
 }
-	
+
 /*---------------------------------------------------------------------------*
  *	interface up/down
  *---------------------------------------------------------------------------*/
@@ -567,7 +567,7 @@ i4bisppp_updown(int unit, int updown)
 {
 	/* could probably do something useful here */
 }
-	
+
 /*---------------------------------------------------------------------------*
  *	this routine is called from the HSCX interrupt handler
  *	when a new frame (mbuf) has been received and was put on
@@ -578,7 +578,7 @@ i4bisppp_rx_data_rdy(int unit)
 {
 	struct i4bisppp_softc *sc = &i4bisppp_softc[unit];
 	struct mbuf *m;
-	
+
 	if((m = *isdn_linktab[unit]->rx_mbuf) == NULL)
 		return;
 
@@ -595,7 +595,7 @@ i4bisppp_rx_data_rdy(int unit)
 #if I4BISPPPACCT
 	sc->sc_inb += m->m_pkthdr.len;
 #endif
-	
+
 #ifdef I4BISPPPDEBUG
 	kprintf("i4bisppp_rx_data_ready: received packet!\n");
 #endif
@@ -615,7 +615,7 @@ i4bisppp_rx_data_rdy(int unit)
 static void
 i4bisppp_tx_queue_empty(int unit)
 {
-	i4bisppp_start(&i4bisppp_softc[unit].sc_if);	
+	i4bisppp_start(&i4bisppp_softc[unit].sc_if);
 }
 
 /*---------------------------------------------------------------------------*
@@ -677,8 +677,8 @@ i4bisppp_init_linktab(int unit)
 	i4bisppp_drvr_linktab[unit].bch_activity = i4bisppp_activity;
 	i4bisppp_drvr_linktab[unit].line_connected = i4bisppp_connect;
 	i4bisppp_drvr_linktab[unit].line_disconnected = i4bisppp_disconnect;
-	i4bisppp_drvr_linktab[unit].dial_response = i4bisppp_dialresponse;	
-	i4bisppp_drvr_linktab[unit].updown_ind = i4bisppp_updown;	
+	i4bisppp_drvr_linktab[unit].dial_response = i4bisppp_dialresponse;
+	i4bisppp_drvr_linktab[unit].updown_ind = i4bisppp_updown;
 }
 
 /*===========================================================================*/
diff --git a/sys/net/i4b/layer1/i4b_l1dmux.c b/sys/net/i4b/layer1/i4b_l1dmux.c
index 6b27b34..be53bae 100644
--- a/sys/net/i4b/layer1/i4b_l1dmux.c
+++ b/sys/net/i4b/layer1/i4b_l1dmux.c
@@ -295,7 +295,7 @@ i4b_l1_mph_status_ind(int drv_unit, int status, int parm, struct i4b_l1mux_func
 
 	if(status == STI_ATTACH)
 	{
-		if (l1mux_func_p == (struct i4b_l1mux_func *)0)
+		if (l1mux_func_p == NULL)
 			panic("i4b_l1_mph_status_ind: i4b_l1mux_func pointer is NULL\n");
 
 		if(numl1units < MAXL1UNITS)
diff --git a/sys/net/if_var.h b/sys/net/if_var.h
index 9c0d933..9eb7d54 100644
--- a/sys/net/if_var.h
+++ b/sys/net/if_var.h
@@ -262,7 +262,7 @@ typedef void if_init_f_t (void *);
 #define	if_lastchange	if_data.ifi_lastchange
 #define if_recvquota	if_data.ifi_recvquota
 #define	if_xmitquota	if_data.ifi_xmitquota
-#define if_rawoutput(if, m, sa) if_output(if, m, sa, (struct rtentry *)0)
+#define if_rawoutput(if, m, sa) if_output(if, m, sa, NULL)
 
 /* for compatibility with other BSDs */
 #define	if_list		if_link
diff --git a/sys/net/ppp_layer/ppp_tty.c b/sys/net/ppp_layer/ppp_tty.c
index 59688a7..b03b982 100644
--- a/sys/net/ppp_layer/ppp_tty.c
+++ b/sys/net/ppp_layer/ppp_tty.c
@@ -412,7 +412,7 @@ pppwrite(struct tty *tp, struct uio *uio, int flag)
     m0->m_len -= PPP_HDRLEN;
 
     /* call the upper layer to "transmit" it... */
-    error = pppoutput(&sc->sc_if, m0, &dst, (struct rtentry *)0);
+    error = pppoutput(&sc->sc_if, m0, &dst, NULL);
     crit_exit();
     return (error);
 }
diff --git a/sys/net/raw_usrreq.c b/sys/net/raw_usrreq.c
index 3e98646..dc05009 100644
--- a/sys/net/raw_usrreq.c
+++ b/sys/net/raw_usrreq.c
@@ -103,7 +103,7 @@ raw_input(struct mbuf *m0, const struct sockproto *proto,
 			n = m_copypacket(m, MB_DONTWAIT);
 			if (n != NULL) {
 				if (ssb_appendaddr(&last->so_rcv, src, n,
-						 (struct mbuf *)0) == 0) {
+						 NULL) == 0) {
 					/* should notify about lost packet */
 					m_freem(n);
 				} else {
@@ -114,7 +114,7 @@ raw_input(struct mbuf *m0, const struct sockproto *proto,
 		last = rp->rcb_socket;
 	}
 	if (last) {
-		if (ssb_appendaddr(&last->so_rcv, src, m, (struct mbuf *)0) == 0)
+		if (ssb_appendaddr(&last->so_rcv, src, m, NULL) == 0)
 			m_freem(m);
 		else
 			sorwakeup(last);
diff --git a/sys/net/zlib.c b/sys/net/zlib.c
index d7bade3..bb6bb15 100644
--- a/sys/net/zlib.c
+++ b/sys/net/zlib.c
@@ -1074,7 +1074,7 @@ deflate(z_streamp strm, int flush)
 		   but not a zero length. */
 		_tr_stored_type_only(s);
             } else { /* FULL_FLUSH or SYNC_FLUSH */
-                _tr_stored_block(s, (char*)0, 0L, 0);
+                _tr_stored_block(s, NULL, 0L, 0);
                 /* For a full flush, this empty block will be recognized
                  * as a special marker by inflate_sync().
                  */
@@ -1950,7 +1950,7 @@ local static_tree_desc  static_d_desc =
 {static_dtree, extra_dbits, 0,          D_CODES, MAX_BITS};
 
 local static_tree_desc  static_bl_desc =
-{(ct_data *)0, extra_blbits, 0,      BL_CODES, MAX_BL_BITS};
+{NULL, extra_blbits, 0,      BL_CODES, MAX_BL_BITS};
 
 /* ===========================================================================
  * Local (static) routines in this file.
@@ -2737,7 +2737,7 @@ _tr_flush_block(deflate_state *s, charf *buf, ulg stored_len, int eof)
 	if (static_lenb <= opt_lenb) opt_lenb = static_lenb;
 
     } else {
-        Assert(buf != (char*)0, "lost buf");
+        Assert(buf != NULL, "lost buf");
 	opt_lenb = static_lenb = stored_len + 5; /* force a stored block */
     }
 
@@ -2752,7 +2752,7 @@ _tr_flush_block(deflate_state *s, charf *buf, ulg stored_len, int eof)
     if (stored_len <= opt_lenb && eof && s->compressed_len==0L && seekable()) {
 #  endif
         /* Since LIT_BUFSIZE <= 2*WSIZE, the input data must be there: */
-        if (buf == (charf*)0) error ("block vanished");
+        if (buf == NULL) error ("block vanished");
 
         copy_block(s, buf, (unsigned)stored_len, 0); /* without header */
         s->compressed_len = stored_len << 3;
@@ -2761,9 +2761,9 @@ _tr_flush_block(deflate_state *s, charf *buf, ulg stored_len, int eof)
 #endif /* STORED_FILE_OK */
 
 #ifdef FORCE_STORED
-    if (buf != (char*)0) { /* force stored block */
+    if (buf != NULL) { /* force stored block */
 #else
-    if (stored_len+4 <= opt_lenb && buf != (char*)0) {
+    if (stored_len+4 <= opt_lenb && buf != NULL) {
                        /* 4: two words for the lengths */
 #endif
         /* The test buf != NULL is only necessary if LIT_BUFSIZE > WSIZE.
diff --git a/sys/netgraph7/ng_ksocket.c b/sys/netgraph7/ng_ksocket.c
index 3ad98aa..8680bbe 100644
--- a/sys/netgraph7/ng_ksocket.c
+++ b/sys/netgraph7/ng_ksocket.c
@@ -1100,7 +1100,7 @@ ng_ksocket_incoming2(node_p node, hook_p hook, void *arg1, int arg2)
 
 		/* Try to get next packet from socket */
 		if ((error = soreceive(so, (so->so_state & SS_ISCONNECTED) ?
-		    NULL : &sa, &auio, &m, (struct mbuf **)0, &flags)) != 0)
+		    NULL : &sa, &auio, &m, NULL, &flags)) != 0)
 			break;
 
 		/* See if we got anything */
diff --git a/sys/netinet/ip_icmp.c b/sys/netinet/ip_icmp.c
index 808c826..c571c74 100644
--- a/sys/netinet/ip_icmp.c
+++ b/sys/netinet/ip_icmp.c
@@ -573,7 +573,7 @@ reflect:
 		icmpsrc.sin_addr = icp->icmp_ip.ip_dst;
 		rtredirect((struct sockaddr *)&icmpsrc,
 		  (struct sockaddr *)&icmpdst,
-		  (struct sockaddr *)0, RTF_GATEWAY | RTF_HOST,
+		  NULL, RTF_GATEWAY | RTF_HOST,
 		  (struct sockaddr *)&icmpgw);
 		kpfctlinput(PRC_REDIRECT_HOST, (struct sockaddr *)&icmpsrc);
 #ifdef IPSEC
@@ -772,7 +772,7 @@ icmp_send(struct mbuf *m, struct mbuf *opts, struct route *rt)
 	icp->icmp_cksum = in_cksum(m, ip->ip_len - hlen);
 	m->m_data -= hlen;
 	m->m_len += hlen;
-	m->m_pkthdr.rcvif = (struct ifnet *)0;
+	m->m_pkthdr.rcvif = NULL;
 #ifdef ICMPPRINTFS
 	if (icmpprintfs) {
 		char buf[sizeof "aaa.bbb.ccc.ddd"];
diff --git a/sys/netinet/tcp_output.c b/sys/netinet/tcp_output.c
index 115b086..d60f90e 100644
--- a/sys/netinet/tcp_output.c
+++ b/sys/netinet/tcp_output.c
@@ -731,7 +731,7 @@ send:
 			m->m_data += max_linkhdr;
 		m->m_len = hdrlen;
 	}
-	m->m_pkthdr.rcvif = (struct ifnet *)0;
+	m->m_pkthdr.rcvif = NULL;
 	if (isipv6) {
 		ip6 = mtod(m, struct ip6_hdr *);
 		th = (struct tcphdr *)(ip6 + 1);
diff --git a/sys/netinet/tcp_usrreq.c b/sys/netinet/tcp_usrreq.c
index 92e6376..9f555b8 100644
--- a/sys/netinet/tcp_usrreq.c
+++ b/sys/netinet/tcp_usrreq.c
@@ -407,7 +407,7 @@ tcp6_usr_listen(struct socket *so, struct thread *td)
 			inp->inp_vflag |= INP_IPV4;
 		else
 			inp->inp_vflag &= ~INP_IPV4;
-		error = in6_pcbbind(inp, (struct sockaddr *)0, td);
+		error = in6_pcbbind(inp, NULL, td);
 	}
 	if (error == 0)
 		tp->t_state = TCPS_LISTEN;
@@ -1084,7 +1084,7 @@ tcp6_connect(struct tcpcb *tp, struct sockaddr *nam, struct thread *td)
 	int error;
 
 	if (inp->inp_lport == 0) {
-		error = in6_pcbbind(inp, (struct sockaddr *)0, td);
+		error = in6_pcbbind(inp, NULL, td);
 		if (error)
 			return error;
 	}
diff --git a/sys/netinet6/in6_ifattach.c b/sys/netinet6/in6_ifattach.c
index 57565df..b9759cd 100644
--- a/sys/netinet6/in6_ifattach.c
+++ b/sys/netinet6/in6_ifattach.c
@@ -816,7 +816,7 @@ in6_ifdetach(struct ifnet *ifp)
 				(struct sockaddr *)&ia->ia_addr,
 				(struct sockaddr *)&ia->ia_addr,
 				(struct sockaddr *)&ia->ia_prefixmask,
-				rtflags, (struct rtentry **)0);
+				rtflags, NULL);
 		}
 
 		/* remove from the linked list */
diff --git a/sys/netinet6/in6_pcb.c b/sys/netinet6/in6_pcb.c
index 01dd609..b93711d 100644
--- a/sys/netinet6/in6_pcb.c
+++ b/sys/netinet6/in6_pcb.c
@@ -384,7 +384,7 @@ in6_pcbconnect(struct inpcb *inp, struct sockaddr *nam, struct thread *td)
 	}
 	if (IN6_IS_ADDR_UNSPECIFIED(&inp->in6p_laddr)) {
 		if (inp->inp_lport == 0) {
-			error = in6_pcbbind(inp, (struct sockaddr *)0, td);
+			error = in6_pcbbind(inp, NULL, td);
 			if (error)
 				return (error);
 		}
diff --git a/sys/netinet6/ip6_mroute.c b/sys/netinet6/ip6_mroute.c
index 4a748c6..825697f 100644
--- a/sys/netinet6/ip6_mroute.c
+++ b/sys/netinet6/ip6_mroute.c
@@ -863,7 +863,7 @@ socket_send(struct socket *s, struct mbuf *mm, struct sockaddr_in6 *src)
 	if (s) {
 		if (ssb_appendaddr(&s->so_rcv,
 				 (struct sockaddr *)src,
-				 mm, (struct mbuf *)0) != 0) {
+				 mm, NULL) != 0) {
 			sorwakeup(s);
 			return 0;
 		}
diff --git a/sys/netinet6/ip6_output.c b/sys/netinet6/ip6_output.c
index ae788df..e919315 100644
--- a/sys/netinet6/ip6_output.c
+++ b/sys/netinet6/ip6_output.c
@@ -1067,7 +1067,7 @@ ip6_output(struct mbuf *m0, struct ip6_pktopts *opt, struct route_in6 *ro,
 			}
 			m_cat(m, m_frgpart);
 			m->m_pkthdr.len = len + hlen + sizeof(*ip6f);
-			m->m_pkthdr.rcvif = (struct ifnet *)0;
+			m->m_pkthdr.rcvif = NULL;
 			ip6f->ip6f_reserved = 0;
 			ip6f->ip6f_ident = id;
 			ip6f->ip6f_nxt = nextproto;
diff --git a/sys/netinet6/nd6.c b/sys/netinet6/nd6.c
index c38caf9..6c95e9c 100644
--- a/sys/netinet6/nd6.c
+++ b/sys/netinet6/nd6.c
@@ -996,8 +996,7 @@ nd6_free(struct rtentry *rt)
 	 * caches, and disable the route entry not to be used in already
 	 * cached routes.
 	 */
-	rtrequest(RTM_DELETE, rt_key(rt), (struct sockaddr *)0,
-		  rt_mask(rt), 0, (struct rtentry **)0);
+	rtrequest(RTM_DELETE, rt_key(rt), NULL, rt_mask(rt), 0, NULL);
 
 	return (next);
 }
diff --git a/sys/netproto/atalk/ddp_input.c b/sys/netproto/atalk/ddp_input.c
index 40757cd..926cb9d 100644
--- a/sys/netproto/atalk/ddp_input.c
+++ b/sys/netproto/atalk/ddp_input.c
@@ -279,7 +279,7 @@ ddp_input(struct mbuf *m, struct ifnet *ifp, struct elaphdr *elh, int phase)
 	&& ( satosat(&forwro.ro_dst)->sat_addr.s_net != to.sat_addr.s_net
 	  || satosat(&forwro.ro_dst)->sat_addr.s_node != to.sat_addr.s_node )) {
 	    RTFREE( forwro.ro_rt );
-	    forwro.ro_rt = (struct rtentry *)0;
+	    forwro.ro_rt = NULL;
 	}
 
 	/*
@@ -287,8 +287,8 @@ ddp_input(struct mbuf *m, struct ifnet *ifp, struct elaphdr *elh, int phase)
 	 * Then get a new route.
 	 * XXX this could cause a 'route leak'. check this!
 	 */
-	if ( forwro.ro_rt == (struct rtentry *)0
-	|| forwro.ro_rt->rt_ifp == (struct ifnet *)0 ) {
+	if ( forwro.ro_rt == NULL
+	|| forwro.ro_rt->rt_ifp == NULL ) {
 	    forwro.ro_dst.sa_len = sizeof( struct sockaddr_at );
 	    forwro.ro_dst.sa_family = AF_APPLETALK;
 	    satosat(&forwro.ro_dst)->sat_addr.s_net = to.sat_addr.s_net;
@@ -369,7 +369,7 @@ ddp_input(struct mbuf *m, struct ifnet *ifp, struct elaphdr *elh, int phase)
      * If we found one, deliver th epacket to the socket
      */
     if (ssb_appendaddr( &ddp->ddp_socket->so_rcv, (struct sockaddr *)&from,
-	    m, (struct mbuf *)0 ) == 0 ) {
+	    m, NULL ) == 0 ) {
 	/* 
 	 * If the socket is full (or similar error) dump the packet.
 	 */
diff --git a/sys/netproto/atalk/ddp_usrreq.c b/sys/netproto/atalk/ddp_usrreq.c
index 5390b52..af1e7be 100644
--- a/sys/netproto/atalk/ddp_usrreq.c
+++ b/sys/netproto/atalk/ddp_usrreq.c
@@ -360,15 +360,15 @@ at_pcbconnect(struct ddpcb *ddp, struct sockaddr *addr, struct thread *td)
 		satosat( &ro->ro_dst )->sat_addr.s_node !=
 		sat->sat_addr.s_node )) {
 	    RTFREE( ro->ro_rt );
-	    ro->ro_rt = (struct rtentry *)0;
+	    ro->ro_rt = NULL;
 	}
     }
 
     /*
      * If we've got no route for this interface, try to find one.
      */
-    if ( ro->ro_rt == (struct rtentry *)0 ||
-	 ro->ro_rt->rt_ifp == (struct ifnet *)0 ) {
+    if ( ro->ro_rt == NULL ||
+	 ro->ro_rt->rt_ifp == NULL ) {
 	ro->ro_dst.sa_len = sizeof( struct sockaddr_at );
 	ro->ro_dst.sa_family = AF_APPLETALK;
 	if ( hintnet ) {
@@ -397,7 +397,7 @@ at_pcbconnect(struct ddpcb *ddp, struct sockaddr *addr, struct thread *td)
 
     ddp->ddp_fsat = *sat;
     if ( ddp->ddp_lsat.sat_port == ATADDR_ANYPORT ) {
-	return(at_pcbsetaddr(ddp, (struct sockaddr *)0, td));
+	return(at_pcbsetaddr(ddp, NULL, td));
     }
     return( 0 );
 }
diff --git a/sys/netproto/atm/atm_if.c b/sys/netproto/atm/atm_if.c
index 5c59bba..d10d928 100644
--- a/sys/netproto/atm/atm_if.c
+++ b/sys/netproto/atm/atm_if.c
@@ -1100,7 +1100,7 @@ atm_pifname(char *name)
 	 * Break down name
 	 */
 	if (atm_ifparse(name, n, sizeof(n), &unit))
-		return ((struct atm_pif *)0);
+		return (NULL);
 
 	/*
 	 * Look for the physical interface
@@ -1139,7 +1139,7 @@ atm_nifname(char *name)
 	 * Break down name
 	 */
 	if (atm_ifparse(name, n, sizeof(n), &unit))
-		return ((struct atm_nif *)0);
+		return (NULL);
 
 	/*
 	 * Search thru each physical interface
diff --git a/sys/netproto/atm/spans/spans_subr.c b/sys/netproto/atm/spans/spans_subr.c
index 42b0653..1eb62f4 100644
--- a/sys/netproto/atm/spans/spans_subr.c
+++ b/sys/netproto/atm/spans/spans_subr.c
@@ -221,7 +221,7 @@ spans_open_vcc(struct spans *spp, Atm_connvc *cvp)
 			 */
 			DEQUEUE(svp, struct spans_vccb, sv_sigelem,
 					spp->sp_vccq);
-			cvp->cvc_vcc = (struct vccb *)0;
+			cvp->cvc_vcc = NULL;
 			atm_free((caddr_t)svp);
 			return(err);
 		} else {
diff --git a/sys/netproto/atm/uni/unisig_if.c b/sys/netproto/atm/uni/unisig_if.c
index 900aac6..d177075 100644
--- a/sys/netproto/atm/uni/unisig_if.c
+++ b/sys/netproto/atm/uni/unisig_if.c
@@ -366,8 +366,7 @@ unisig_detach(struct atm_pif *pip)
 	 * Pass the detach event to the signalling manager
 	 * state machine
 	 */
-	err = unisig_sigmgr_state(usp, UNISIG_SIGMGR_DETACH,
-			(KBuffer *)0);
+	err = unisig_sigmgr_state(usp, UNISIG_SIGMGR_DETACH, NULL);
 
 	/*
 	 * Log the fact that we've detached
